Loading...
Searching...
No Matches
XrdCksPCB Class Reference

`#include <XrdCks.hh>`

Collaboration diagram for XrdCksPCB:

## Public Member Functions

| XrdCksPCB ()
virtual | ~XrdCksPCB ()
virtual void | Info (long long fsize, long long csbytes)

## Public Attributes

long long | rsvd

## Detailed Description

This class defines the checksum management interface. It should be used as the base class for a plugin. When used that way, the shared library holding the plugin must define a "C" entry point named XrdCksInit() as described at the end of this include file. Note that you can also base you plugin on the native implementation, XrdCks, and replace only selected methods.

The XrdCksPCB object defines a callback hat allows he caller to monitor the progress of a checksum calculation (calc or verify).

Definition at line 55 of file XrdCks.hh.

## Constructor & Destructor Documentation

## XrdCksPCB()

XrdCksPCB::XrdCksPCB | ( |  | ) |

inline

Definition at line 69 of file XrdCks.hh.

: rsvd(0) {}
XrdCksPCB::rsvd
long long rsvd
Definition XrdCks.hh:67

References rsvd.

## ~XrdCksPCB()

virtual XrdCksPCB::~XrdCksPCB | ( |  | ) |

inline virtual

Definition at line 70 of file XrdCks.hh.

{}

## Member Function Documentation

## Info()

virtual void XrdCksPCB::Info | ( | long long | fsize,
|  | long long | csbytes )

virtual

Report checksum progress.

Parameters

  fsize | The file size in bytes.
  csbytes | Bytes checksummed so far.

## Member Data Documentation

## rsvd

long long XrdCksPCB::rsvd

Definition at line 67 of file XrdCks.hh.

Referenced by XrdCksPCB().

The documentation for this class was generated from the following file:

- XrdCks.hh